org.apache.cayenne.dba.oracle

## Class OracleQualifierTranslator

- java.lang.Object
- - org.apache.cayenne.access.trans.QueryAssemblerHelper
  - - org.apache.cayenne.access.trans.QualifierTranslator
    - - org.apache.cayenne.access.trans.TrimmingQualifierTranslator
      - - org.apache.cayenne.dba.oracle.OracleQualifierTranslator

- All Implemented Interfaces:
    TraversalHandler

      public class OracleQualifierTranslator
      extends TrimmingQualifierTranslator

  Oracle qualifier translator. In particular, trims INs with more than 1000 elements to an OR-set of INs with <= 1000 elements

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `OracleQualifierTranslator.INTrimmer`

  - ### Field Summary

    - ### Fields inherited from class org.apache.cayenne.access.trans.TrimmingQualifierTranslator

      `trimFunction`

    - ### Fields inherited from class org.apache.cayenne.access.trans.QualifierTranslator

      `caseInsensitive, matchingObject, objectMatchTranslator`

    - ### Fields inherited from class org.apache.cayenne.access.trans.QueryAssemblerHelper

      `out, queryAssembler, strategy`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OracleQualifierTranslator(QueryAssembler queryAssembler)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doAppendPart(Expression rootNode)` Translates query qualifier to SQL WHERE clause.

    - ### Methods inherited from class org.apache.cayenne.access.trans.TrimmingQualifierTranslator

      `getTrimFunction, processColumn, processColumnWithQuoteSqlIdentifiers, setTrimFunction`

    - ### Methods inherited from class org.apache.cayenne.access.trans.QualifierTranslator

      `appendLiteral, appendObjectMatch, detectObjectMatch, doAppendPart, endNode, extractQualifier, finishedChild, objectNode, operandForBitwiseAnd, operandForBitwiseNot, operandForBitwiseOr, operandForBitwiseXor, parenthesisNeeded, processRelTermination, setCaseInsensitive, startNode`

    - ### Methods inherited from class org.apache.cayenne.access.trans.QueryAssemblerHelper

      `appendDbPath, appendLikeEscapeCharacter, appendLiteralDirect, appendObjPath, appendPart, getDbEntity, getObjEntity, paramsDbType, processRelTermination`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OracleQualifierTranslator

          public OracleQualifierTranslator(QueryAssembler queryAssembler)

  - ### Method Detail

    - #### doAppendPart

          protected void doAppendPart(Expression rootNode)
                               throws IOException

      Description copied from class: `QualifierTranslator`
      Translates query qualifier to SQL WHERE clause. Qualifier is a method parameter.
      Overrides:
        `doAppendPart` in class `QualifierTranslator`
      Throws:
        `IOException`

Copyright © 2001–2018 Apache Cayenne. All rights reserved.